Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.uibinder.attributeparsers
Interface AttributeParser

All Known Implementing Classes:
  BundleAttributeParser, LengthAttributeParser

    public interface AttributeParser

Attribute parsers are classes that parse xml attribute values, turning them into valid Java expressions.

Method Summary
`java.lang.String` | `parse(java.lang.String value)` Parse the given attribute value.

Method Detail

### parse

    java.lang.String parse(java.lang.String value)
                           throws UnableToCompleteException

  Parse the given attribute value.

  Parameters:
    `value` - the attribute value to be parsed
  Returns:
    a valid Java expression
  Throws:
    `UnableToCompleteException` - on parse error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD